import { Command, flags } from '@oclif/command';
export default class Mock extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        'swagger-ui': flags.IOptionFlag<string>;
        validate: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        root: flags.IOptionFlag<string>;
        header: flags.IOptionFlag<string[]>;
        inject: flags.IOptionFlag<string[]>;
        server: flags.IOptionFlag<string[]>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        logger: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
}
