import { Command } from '@oclif/command';
export default class Read extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        format: import("@oclif/command/lib/flags").IOptionFlag<string>;
        json: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        yaml: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        inject: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        server: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        validate: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        header: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        root: import("@oclif/command/lib/flags").IOptionFlag<string>;
        dereference: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        bundle: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
}
