import { Command } from '@oclif/command';
export default class Auth extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        inject: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        security: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        apikey: import("@oclif/command/lib/flags").IOptionFlag<string>;
        token: import("@oclif/command/lib/flags").IOptionFlag<string>;
        username: import("@oclif/command/lib/flags").IOptionFlag<string>;
        password: import("@oclif/command/lib/flags").IOptionFlag<string>;
        server: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        validate: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        header: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        root: import("@oclif/command/lib/flags").IOptionFlag<string>;
        dereference: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        bundle: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
}
