import { Command, flags } from '@oclif/command';
export default class Info extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        security: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        operations: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        schemas: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        inject: flags.IOptionFlag<string[]>;
        server: flags.IOptionFlag<string[]>;
        validate: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        header: flags.IOptionFlag<string[]>;
        root: flags.IOptionFlag<string>;
        dereference: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        bundle: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
    private printOperations;
    private printSchemas;
    private printServers;
    private printSecuritySchemes;
}
