import { Command } from '@oclif/command';
export default class SwaggerEditor extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        header: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        logger: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
}
