import { flags } from '@oclif/command';
import { IBooleanFlag } from '@oclif/parser/lib/flags';
export declare const help: (overrides?: Partial<IBooleanFlag<boolean>>) => {
    help: IBooleanFlag<void>;
};
export declare const servers: () => {
    server: flags.IOptionFlag<string[]>;
};
export declare const inject: () => {
    inject: flags.IOptionFlag<string[]>;
};
export declare const validate: () => {
    validate: IBooleanFlag<boolean>;
};
export declare const header: () => {
    header: flags.IOptionFlag<string[]>;
};
export declare const apiRoot: () => {
    root: flags.IOptionFlag<string>;
};
export declare const parseOpts: () => {
    inject: flags.IOptionFlag<string[]>;
    server: flags.IOptionFlag<string[]>;
    validate: IBooleanFlag<boolean>;
    header: flags.IOptionFlag<string[]>;
    root: flags.IOptionFlag<string>;
    dereference: IBooleanFlag<boolean>;
    bundle: IBooleanFlag<boolean>;
};
export declare const serverOpts: () => {
    port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
    logger: IBooleanFlag<boolean>;
};
export declare const outputFormat: () => {
    format: flags.IOptionFlag<string>;
    json: IBooleanFlag<boolean>;
    yaml: IBooleanFlag<boolean>;
};
export declare const swaggerUIOpts: () => {
    expand: flags.IOptionFlag<string>;
    operationids: IBooleanFlag<boolean>;
    filter: IBooleanFlag<boolean>;
    deeplinks: IBooleanFlag<boolean>;
    withcredentials: IBooleanFlag<boolean>;
    requestduration: IBooleanFlag<boolean>;
};
export declare const securityOpts: () => {
    security: flags.IOptionFlag<string[]>;
    apikey: flags.IOptionFlag<string>;
    token: flags.IOptionFlag<string>;
    username: flags.IOptionFlag<string>;
    password: flags.IOptionFlag<string>;
};
